VSTGUI: FindPanelController Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
FindPanelController Struct Reference
Inheritance diagram for FindPanelController:

## Public Types
using | RemoveFindPanelFunc = std::function<void ()>

## Public Member Functions
void | setFindString (StringView text)
void | setFindOptions (ITextEditor::FindOptions opt)
Public Member Functions inherited from IControlListener
virtual | ~IControlListener () noexcept=default
virtual int32_t | controlModifierClicked (CControl *pControl, CButtonState button)
| return 1 if you want the control to not handle it, otherwise 0
virtual void | controlBeginEdit (CControl *pControl)
virtual void | controlEndEdit (CControl *pControl)
virtual void | controlTagWillChange (CControl *pControl)
virtual void | controlTagDidChange (CControl *pControl)
Public Member Functions inherited from ViewListenerAdapter
void | viewSizeChanged (CView *view, const CRect &oldSize) override
| called when the view's size changed
void | viewAttached (CView *view) override
| called when a view was attached to a view hierarchy
void | viewRemoved (CView *view) override
| called when a view was removed from the view hierarchy
void | viewLostFocus (CView *view) override
| called when a view lost focus
void | viewTookFocus (CView *view) override
| called when a view took focus
void | viewWillDelete (CView *view) override
| called when a view is going to be destroyed
void | viewOnMouseEnabled (CView *view, bool state) override
| called when a view's mouse handling is enabled or disabled
Public Member Functions inherited from IViewListener
virtual | ~IViewListener () noexcept=default
Public Member Functions inherited from ViewEventListenerAdapter
void | viewOnEvent (CView *view, Event &event) override
| called on an event on a view
Public Member Functions inherited from IViewEventListener
virtual | ~IViewEventListener () noexcept=default

## Static Public Member Functions
static CViewContainer * | makeFindPanelView (CRect rect, TextEditorView::ModelData &md, const ITextEditor &editor, RemoveFindPanelFunc &&f)

## Member Typedef Documentation

## ◆ RemoveFindPanelFunc

using RemoveFindPanelFunc = std::function<void ()>

## Member Function Documentation

## ◆ makeFindPanelView()

CViewContainer * makeFindPanelView | ( | CRect | rect,
|  | TextEditorView::ModelData & | md,
|  | const ITextEditor & | editor,
|  | RemoveFindPanelFunc && | f )
| static

## ◆ setFindOptions()

void setFindOptions | ( | ITextEditor::FindOptions | opt | ) |

## ◆ setFindString()

void setFindString | ( | StringView | text | ) |

The documentation for this struct was generated from the following file:

- ctexteditor.cpp